using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Hosting;

namespace OnlineAssessment
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
            Host.CreateDefaultBuilder(args)
                .ConfigureWebHostDefaults(webBuilder =>
                {
                    webBuilder.UseStartup<Startup>();
                    //webBuilder.ConfigureLogging(logBuilder =>
                    //{
                    //    logBuilder.ClearProviders(); // removes all providers from LoggerFactory
                    //    logBuilder.AddConsole();
                    //    logBuilder.AddTraceSource("Information, ActivityTracing"); // Add Trace listener provider
                    //});
                });
    }
}
